dpkg-scansources(1)

NAAM
dpkg-scansources - maak Sources indexbestanden

OVERZICHT
dpkg-scansources [optie...] map-binair-pakket [override-bestand [padprefix]] > Sources

BESCHRIJVING
dpkg-scansources zoekt in de opgegeven map-binair-pakket naar .dsc-bestanden. Die worden gebruikt om een Debian broncode-index te maken, die naar de standaarduitvoer gestuurd wordt.

The override-file, if given, is used to set priorities in the resulting index records and to override the maintainer field given in the .dsc files. The file can be compressed (since dpkg 1.15.5). See deb-override(5) for the format of this file.

Note: Since the override file is indexed by binary, not source packages, there's a bit of a problem here. The current implementation uses the highest priority of all the binary packages produced by a .dsc file for the priority of the source package, and the override entry for the first binary package listed in the .dsc file to modify maintainer information. This might change.

Indien het padprefix opgegeven werd, wordt het voorgevoegd bij het veld directory in het gegenereerde broncode-indexbestand. In het algemeen wordt dit gebruikt om er voor te zorgen dat het veld directory het pad bevat vanaf de basis van de hiërarchische structuur van het Debian pakketarchief.

Note: If you want to access the generated Sources file with apt(8) you will probably need to compress the file with gzip(1) (generating a Sources.gz file). apt(8) ignores uncompressed Sources files except on local access (i.e. file:// sources).

OPTIES

-n, --no-sort
    Sorteer de index-items niet. Normaal gezien worden ze volgens de naam van het bronpakket geordend.

-e, --extra-override bestand
    Zoek in bestand naar bijkomende vervangingen (sinds dpkg 1.15.4; het bestand mag gecomprimeerd zijn sinds dpkg 1.15.5). Zie deb-extra-override(5) voor meer informatie over de indeling ervan.

-s, --source-override bestand
    Gebruik bestand als het override-bestand van de broncode (het bestand mag gecomprimeerd zijn sinds dpkg 1.15.5). Als standaard geldt de naam van het override-bestand dat u opgaf, met daaraan .src toegevoegd.

    Het override-bestand voor de broncode heeft een andere indeling dan het override-bestand voor het binaire pakket. Het bevat slechts twee velden die onderling door witruimte gescheiden worden. Het eerste veld bevat de naam van het broncodepakket en het tweede de sectie waartoe het behoort. Lege regels en commentaarregels worden op de normale manier genegeerd. Indien een pakket in beide bestanden voorkomt, heeft het override-bestand van de broncode voorrang bij het instellen van de sectie.

--debug
    Zet debuggen aan.

--help
    Toon info over het gebruik en sluit af.

--version
    Toon de versie en sluit af.

OMGEVING

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

ZIE OOK
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).